import { Debug } from "./debug.js";
import { getNameOfServiceType } from "./helpers/getNameOfServiceType.js";
Debug.extended = true;
Debug.errors = {
    serviceNotLoaded: (loader) => `Service implementation not loaded, loader: ${String(loader)}`,
    classNotDecorated: (name) => `Class "${name}" not registered as service (please use @injectable or ServiceRegistry)`,
};
Debug.warnings = {
    asyncValidation: (descriptor) => `Service implementation for "${getNameOfServiceType(descriptor.service)}" is async and cannot be validated synchronously. You can use builder.validate() to validate dependencies asynchronously.`,
};
//# sourceMappingURL=debugDevelopment.js.map