import { Debug } from "../debug.js";
import { IServiceProvider } from "./IServiceProvider.js";
import { ServiceCollection } from "./ServiceCollection.js";
import { ServiceProvider } from "./ServiceProvider.js";
import { tryResolveServiceAsync } from "./validation/tryResolveServiceAsync.js";
import { validateAsyncImplementation } from "./validation/validateAsyncImplementation.js";
export class ServiceContainerBuilder extends ServiceCollection {
    validated;
    constructor() {
        super();
        this.validated = false;
    }
    async validate() {
        this.validated = true;
        for (const descriptor of this) {
            await tryResolveServiceAsync(this, descriptor.service, new Set());
        }
    }
    build() {
        if (!this.validated && Debug.extended) {
            validateAsyncImplementation(this);
        }
        return new ServiceProvider(new ServiceCollection(this));
    }
}
//# sourceMappingURL=ServiceContainerBuilder.js.map